package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.OrderBean;
import com.wd.workoffice.bean.StockBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkWarehouseOrderStockAdapter extends BaseQuickAdapter<OrderBean.OrderItemsBean.StockQuantityDetailMapsBean, BaseViewHolder> {

    public WorkWarehouseOrderStockAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, OrderBean.OrderItemsBean.StockQuantityDetailMapsBean item) {
        helper.setText(R.id.tv_name, item.getStockName());
        helper.setText(R.id.tv_type, item.getStockName());
        helper.setText(R.id.tv_num, MathUtils.converData(item.getQuantity(), 3));
        helper.setText(R.id.tv_out_num, MathUtils.converData(item.getApplyOut(), 3));

    }
}

